Package oracle.nosql.driver

# Class Region

java.lang.Object
oracle.nosql.driver.Region

public class Region extends Object
Cloud service only.

The class contains the regions in the Oracle Cloud Infrastructure at the time of this release. The Oracle NoSQL Database Cloud Service is not available in all of these regions. For a definitive list of regions in which the Oracle NoSQL Database Cloud Service is available see Data Regions for Platform and Infrastructure Services.

A Region may be provided to `NoSQLHandleConfig(Region,AuthorizationProvider)` to configure a handle to communicate in a specific Region.

The string-based endpoints associated with regions for the Oracle NoSQL Database Cloud Service are of the format

        https://nosql.{region}.oci.{secondLevelDomain}

Examples of known second level domains include:

- oraclecloud.com
- oraclegovcloud.com
- oraclegovcloud.uk

For example, this is a valid endpoint for the Oracle NoSQL Database Cloud Service in the U.S. East region

        nosql.us-ashburn-1.oci.oraclecloud.com

If the Oracle NoSQL Database Cloud Service becomes available in a region not listed here it is possible to connect to that region using the endpoint and `NoSQLHandleConfig(String,AuthorizationProvider)`

For more information about Oracle Cloud Infrastructure regions see Regions and Availability Domains.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Region`
  `AF_JOHANNESBURG_1`
  `static final Region`
  `AP_CHIYODA_1`
  `static final Region`
  `AP_CHUNCHEON_1`
  `static final Region`
  `AP_CHUNCHEON_2`
  `static final Region`
  `AP_DCC_CANBERRA_1`
  `static final Region`
  `AP_DCC_GAZIPUR_1`
  `static final Region`
  `AP_DCC_OSAKA_1`
  `static final Region`
  `AP_DCC_TOKYO_1`
  `static final Region`
  `AP_HOBSONVILLE_1`
  `static final Region`
  `AP_HYDERABAD_1`
  `static final Region`
  `AP_IBARAKI_1`
  `static final Region`
  `AP_MELBOURNE_1`
  `static final Region`
  `AP_MUMBAI_1`
  `static final Region`
  `AP_OSAKA_1`
  `static final Region`
  `AP_SEOUL_1`
  `static final Region`
  `AP_SEOUL_2`
  `static final Region`
  `AP_SILVERDALE_1`
  `static final Region`
  `AP_SINGAPORE_1`
  `static final Region`
  `AP_SINGAPORE_2`
  `static final Region`
  `AP_SUWON_1`
  `static final Region`
  `AP_SYDNEY_1`
  `static final Region`
  `AP_TOKYO_1`
  `static final Region`
  `CA_MONTREAL_1`
  `static final Region`
  `CA_TORONTO_1`
  `static final Region`
  `EU_AMSTERDAM_1`
  `static final Region`
  `EU_CRISSIER_1`
  `static final Region`
  `EU_DCC_DUBLIN_1`
  `static final Region`
  `EU_DCC_DUBLIN_2`
  `static final Region`
  `EU_DCC_MILAN_1`
  `static final Region`
  `EU_DCC_MILAN_2`
  `static final Region`
  `EU_DCC_RATING_1`
  `static final Region`
  `EU_DCC_RATING_2`
  `static final Region`
  `EU_DCC_ROME_1`
  `static final Region`
  `EU_DCC_ZURICH_1`
  `static final Region`
  `EU_FRANKFURT_1`
  `static final Region`
  `EU_FRANKFURT_2`
  `static final Region`
  `EU_JOVANOVAC_1`
  `static final Region`
  `EU_MADRID_1`
  `static final Region`
  `EU_MADRID_2`
  `static final Region`
  `EU_MARSEILLE_1`
  `static final Region`
  `EU_MILAN_1`
  `static final Region`
  `EU_PARIS_1`
  `static final Region`
  `EU_STOCKHOLM_1`
  `static final Region`
  `EU_ZURICH_1`
  `static final Region`
  `IL_JERUSALEM_1`
  `static final Region`
  `ME_ABUDHABI_1`
  `static final Region`
  `ME_ABUDHABI_2`
  `static final Region`
  `ME_ABUDHABI_3`
  `static final Region`
  `ME_ABUDHABI_4`
  `static final Region`
  `ME_ALAIN_1`
  `static final Region`
  `ME_DCC_DOHA_1`
  `static final Region`
  `ME_DCC_MUSCAT_1`
  `static final Region`
  `ME_DUBAI_1`
  `static final Region`
  `ME_JEDDAH_1`
  `static final Region`
  `ME_RIYADH_1`
  `static final Region`
  `MX_MONTERREY_1`
  `static final Region`
  `MX_QUERETARO_1`
  `static final Region`
  `SA_BOGOTA_1`
  `static final Region`
  `SA_SANTIAGO_1`
  `static final Region`
  `SA_SAOPAULO_1`
  `static final Region`
  `SA_VALPARAISO_1`
  `static final Region`
  `SA_VINHEDO_1`
  `static final Region`
  `UK_CARDIFF_1`
  `static final Region`
  `UK_GOV_CARDIFF_1`
  `static final Region`
  `UK_GOV_LONDON_1`
  `static final Region`
  `UK_LONDON_1`
  `static final Region`
  `US_ASHBURN_1`
  `static final Region`
  `US_CHICAGO_1`
  `static final Region`
  `US_DCC_PHOENIX_1`
  `static final Region`
  `US_DCC_PHOENIX_2`
  `static final Region`
  `US_DCC_PHOENIX_4`
  `static final Region`
  `US_DCC_SWJORDAN_1`
  `static final Region`
  `US_DCC_SWJORDAN_2`
  `static final Region`
  `US_GOV_ASHBURN_1`
  `static final Region`
  `US_GOV_CHICAGO_1`
  `static final Region`
  `US_GOV_PHOENIX_1`
  `static final Region`
  `US_LANGLEY_1`
  `static final Region`
  `US_LUKE_1`
  `static final Region`
  `US_PHOENIX_1`
  `static final Region`
  `US_SALTLAKE_2`
  `static final Region`
  `US_SANJOSE_1`
  `static final Region`
  `US_SOMERSET_1`
  `static final Region`
  `US_TACOMA_1`
  `static final Region`
  `US_THAMES_1`
  `static final Region`
  `US_WESTJORDAN_1`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `endpoint()`
  Returns the NoSQL Database Cloud Service Endpoint for this region.
  `static Region`
  `fromRegionId(String regionId)`
  Returns the Region object from the canonical public region id.
  `static Region`
  `fromRegionIdOrCode(String regionIdOrCode)`
  Returns the Region object from the public region code or id.
  `String`
  `getRegionId()`
  Returns the region id for this region
  `static void`
  `readEnvVar()`
  `static void`
  `readRegionConfigFile(String fileName)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AF_JOHANNESBURG_1

    public static final Region AF_JOHANNESBURG_1

  - ### AP_CHUNCHEON_1

    public static final Region AP_CHUNCHEON_1

  - ### AP_HYDERABAD_1

    public static final Region AP_HYDERABAD_1

  - ### AP_MELBOURNE_1

    public static final Region AP_MELBOURNE_1

  - ### AP_MUMBAI_1

    public static final Region AP_MUMBAI_1

  - ### AP_OSAKA_1

    public static final Region AP_OSAKA_1

  - ### AP_SEOUL_1

    public static final Region AP_SEOUL_1

  - ### AP_SINGAPORE_1

    public static final Region AP_SINGAPORE_1

  - ### AP_SINGAPORE_2

    public static final Region AP_SINGAPORE_2

  - ### AP_SYDNEY_1

    public static final Region AP_SYDNEY_1

  - ### AP_TOKYO_1

    public static final Region AP_TOKYO_1

  - ### CA_MONTREAL_1

    public static final Region CA_MONTREAL_1

  - ### CA_TORONTO_1

    public static final Region CA_TORONTO_1

  - ### EU_AMSTERDAM_1

    public static final Region EU_AMSTERDAM_1

  - ### EU_FRANKFURT_1

    public static final Region EU_FRANKFURT_1

  - ### EU_MADRID_1

    public static final Region EU_MADRID_1

  - ### EU_MARSEILLE_1

    public static final Region EU_MARSEILLE_1

  - ### EU_MILAN_1

    public static final Region EU_MILAN_1

  - ### EU_PARIS_1

    public static final Region EU_PARIS_1

  - ### EU_STOCKHOLM_1

    public static final Region EU_STOCKHOLM_1

  - ### EU_ZURICH_1

    public static final Region EU_ZURICH_1

  - ### IL_JERUSALEM_1

    public static final Region IL_JERUSALEM_1

  - ### ME_ABUDHABI_1

    public static final Region ME_ABUDHABI_1

  - ### ME_DUBAI_1

    public static final Region ME_DUBAI_1

  - ### ME_JEDDAH_1

    public static final Region ME_JEDDAH_1

  - ### ME_RIYADH_1

    public static final Region ME_RIYADH_1

  - ### MX_MONTERREY_1

    public static final Region MX_MONTERREY_1

  - ### MX_QUERETARO_1

    public static final Region MX_QUERETARO_1

  - ### SA_BOGOTA_1

    public static final Region SA_BOGOTA_1

  - ### SA_SANTIAGO_1

    public static final Region SA_SANTIAGO_1

  - ### SA_SAOPAULO_1

    public static final Region SA_SAOPAULO_1

  - ### SA_VALPARAISO_1

    public static final Region SA_VALPARAISO_1

  - ### SA_VINHEDO_1

    public static final Region SA_VINHEDO_1

  - ### UK_LONDON_1

    public static final Region UK_LONDON_1

  - ### UK_CARDIFF_1

    public static final Region UK_CARDIFF_1

  - ### US_PHOENIX_1

    public static final Region US_PHOENIX_1

  - ### US_ASHBURN_1

    public static final Region US_ASHBURN_1

  - ### US_SALTLAKE_2

    public static final Region US_SALTLAKE_2

  - ### US_SANJOSE_1

    public static final Region US_SANJOSE_1

  - ### US_CHICAGO_1

    public static final Region US_CHICAGO_1

  - ### US_LANGLEY_1

    public static final Region US_LANGLEY_1

  - ### US_LUKE_1

    public static final Region US_LUKE_1

  - ### US_GOV_ASHBURN_1

    public static final Region US_GOV_ASHBURN_1

  - ### US_GOV_CHICAGO_1

    public static final Region US_GOV_CHICAGO_1

  - ### US_GOV_PHOENIX_1

    public static final Region US_GOV_PHOENIX_1

  - ### UK_GOV_LONDON_1

    public static final Region UK_GOV_LONDON_1

  - ### UK_GOV_CARDIFF_1

    public static final Region UK_GOV_CARDIFF_1

  - ### US_TACOMA_1

    public static final Region US_TACOMA_1

  - ### AP_CHIYODA_1

    public static final Region AP_CHIYODA_1

  - ### AP_IBARAKI_1

    public static final Region AP_IBARAKI_1

  - ### ME_DCC_MUSCAT_1

    public static final Region ME_DCC_MUSCAT_1

  - ### AP_DCC_CANBERRA_1

    public static final Region AP_DCC_CANBERRA_1

  - ### EU_DCC_DUBLIN_1

    public static final Region EU_DCC_DUBLIN_1

  - ### EU_DCC_DUBLIN_2

    public static final Region EU_DCC_DUBLIN_2

  - ### EU_DCC_MILAN_1

    public static final Region EU_DCC_MILAN_1

  - ### EU_DCC_MILAN_2

    public static final Region EU_DCC_MILAN_2

  - ### EU_DCC_RATING_1

    public static final Region EU_DCC_RATING_1

  - ### EU_DCC_RATING_2

    public static final Region EU_DCC_RATING_2

  - ### AP_DCC_GAZIPUR_1

    public static final Region AP_DCC_GAZIPUR_1

  - ### US_WESTJORDAN_1

    public static final Region US_WESTJORDAN_1

  - ### US_DCC_PHOENIX_1

    public static final Region US_DCC_PHOENIX_1

  - ### US_DCC_PHOENIX_2

    public static final Region US_DCC_PHOENIX_2

  - ### US_DCC_PHOENIX_4

    public static final Region US_DCC_PHOENIX_4

  - ### EU_FRANKFURT_2

    public static final Region EU_FRANKFURT_2

  - ### EU_MADRID_2

    public static final Region EU_MADRID_2

  - ### EU_JOVANOVAC_1

    public static final Region EU_JOVANOVAC_1

  - ### ME_DCC_DOHA_1

    public static final Region ME_DCC_DOHA_1

  - ### EU_DCC_ROME_1

    public static final Region EU_DCC_ROME_1

  - ### US_SOMERSET_1

    public static final Region US_SOMERSET_1

  - ### US_THAMES_1

    public static final Region US_THAMES_1

  - ### EU_DCC_ZURICH_1

    public static final Region EU_DCC_ZURICH_1

  - ### EU_CRISSIER_1

    public static final Region EU_CRISSIER_1

  - ### AP_DCC_OSAKA_1

    public static final Region AP_DCC_OSAKA_1

  - ### AP_DCC_TOKYO_1

    public static final Region AP_DCC_TOKYO_1

  - ### ME_ABUDHABI_3

    public static final Region ME_ABUDHABI_3

  - ### ME_ALAIN_1

    public static final Region ME_ALAIN_1

  - ### US_DCC_SWJORDAN_1

    public static final Region US_DCC_SWJORDAN_1

  - ### US_DCC_SWJORDAN_2

    public static final Region US_DCC_SWJORDAN_2

  - ### ME_ABUDHABI_2

    public static final Region ME_ABUDHABI_2

  - ### ME_ABUDHABI_4

    public static final Region ME_ABUDHABI_4

  - ### AP_HOBSONVILLE_1

    public static final Region AP_HOBSONVILLE_1

  - ### AP_SILVERDALE_1

    public static final Region AP_SILVERDALE_1

  - ### AP_SUWON_1

    public static final Region AP_SUWON_1

  - ### AP_SEOUL_2

    public static final Region AP_SEOUL_2

  - ### AP_CHUNCHEON_2

    public static final Region AP_CHUNCHEON_2

- ## Method Details

  - ### fromRegionId

    public static Region fromRegionId(String regionId)
    Returns the Region object from the canonical public region id. Returns null if the region id is not known.
    Parameters:
      `regionId` - The region ID.
    Returns:
      The Region object.

  - ### fromRegionIdOrCode

    public static Region fromRegionIdOrCode(String regionIdOrCode)
    Returns the Region object from the public region code or id. Returns null if the region id and code are not known
    Parameters:
      `regionIdOrCode` - The region code or id.
    Returns:
      The Region object.

  - ### getRegionId

    public String getRegionId()
    Returns the region id for this region
    Returns:
      the region id

  - ### endpoint

    public String endpoint()
    Returns the NoSQL Database Cloud Service Endpoint for this region.
    Returns:
      NoSQL Database Cloud Service Endpoint

  - ### readEnvVar

    public static void readEnvVar()

  - ### readRegionConfigFile

    public static void readRegionConfigFile(String fileName)